shishi_init_server_with_paths(3)

NAME
shishi_init_server_with_paths - API function

SYNOPSIS
#include <shishi.h>

int shishi_init_server_with_paths(Shishi ** handle, const char * systemcfgfile);

ARGUMENTS

Shishi ** handle
    pointer to handle to be created.

const char * systemcfgfile
    Filename of system configuration, or NULL.

DESCRIPTION
Create a Shishi library handle, using shishi_server(), and read the system configuration file from specified location. The paths to the system configuration file is decided at compile time, and is $sysconfdir/shishi.conf. The handle is allocated regardless of return values, except for SHISHI_HANDLE_ERROR which indicates a problem allocating the handle. (The other error conditions comes from reading the file.)

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.